using Microsoft.EntityFrameworkCore;

namespace HackathonPreparing.ApiService.WeatherForecastFeature.EfCore;

public sealed class WeatherForecastContext : DbContext
{
    public WeatherForecastContext(DbContextOptions<WeatherForecastContext> options)
        : base(options)
    {

    }
    
    public DbSet<WeatherForecast> Forecasts => Set<ApiService.WeatherForecastFeature.WeatherForecast>();

    protected override void OnModelCreating(ModelBuilder builder)
    {
        base.OnModelCreating(builder);
        builder.ApplyConfigurationsFromAssembly(typeof(Program).Assembly);
        builder.HasDefaultSchema("weatherforecast");
    }
}
